Module java.corba
Package org.omg.CORBA

## Class REBIND

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.REBIND

- All Implemented Interfaces:
    `Serializable`

      public final class REBIND
      extends SystemException

  `REBIND` is raised when the current effective RebindPolicy, has a value of NO_REBIND or NO_RECONNECT and an invocation on a bound object reference results in a LocateReply message with status OBJECT_FORWARD or a Reply message with status LOCATION_FORWARD. This exception is also raised if the current effective RebindPolicy has a value of NO_RECONNECT and a connection must be reopened.

  See also documentation on Java IDL exceptions.

  Since:
    J2SE 1.5

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `REBIND​()` | Constructs an `REBIND` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.
    `REBIND​(int minorCode, CompletionStatus completionStatus)` | Constructs an `REBIND` exception with the specified minor code and completion status.
    `REBIND​(String detailMessage)` | Constructs an `REBIND` exception with the specified message.
    `REBIND​(String detailMessage, int minorCode, CompletionStatus completionStatus)` | Constructs an `REBIND` exception with the specified message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

- - ### Constructor Detail

    - #### REBIND

          public REBIND​()

      Constructs an `REBIND` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.

    - #### REBIND

          public REBIND​(String detailMessage)

      Constructs an `REBIND` exception with the specified message.
      Parameters:
        `detailMessage` - string containing a detailed message.

    - #### REBIND

          public REBIND​(int minorCode,
                        CompletionStatus completionStatus)

      Constructs an `REBIND` exception with the specified minor code and completion status.
      Parameters:
        `minorCode` - minor code.
        `completionStatus` - completion status.

    - #### REBIND

          public REBIND​(String detailMessage,
                        int minorCode,
                        CompletionStatus completionStatus)

      Constructs an `REBIND` exception with the specified message, minor code, and completion status.
      Parameters:
        `detailMessage` - string containing a detailed message.
        `minorCode` - minor code.
        `completionStatus` - completion status.